# Uses of Interface
org.springframework.expression.TypeConverter

Packages that use TypeConverter
Package
Description
org.springframework.expression
Core abstractions behind the Spring Expression Language.
org.springframework.expression.common
Common utility classes behind the Spring Expression Language.
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of TypeConverter in org.springframework.expression

Methods in org.springframework.expression that return TypeConverter
Modifier and Type
Method
Description
`TypeConverter`
EvaluationContext.`getTypeConverter()`
Return a type converter that can convert (or coerce) a value from one type to another.

## Uses of TypeConverter in org.springframework.expression.common

Methods in org.springframework.expression.common with parameters of type TypeConverter
Modifier and Type
Method
Description
`static boolean`
ExpressionUtils.`toBoolean(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a boolean using the supplied type converter.
`static byte`
ExpressionUtils.`toByte(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a byte using the supplied type converter.
`static char`
ExpressionUtils.`toChar(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a char using the supplied type converter.
`static double`
ExpressionUtils.`toDouble(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a double using the supplied type converter.
`static float`
ExpressionUtils.`toFloat(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a float using the supplied type converter.
`static int`
ExpressionUtils.`toInt(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to an int using the supplied type converter.
`static long`
ExpressionUtils.`toLong(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a long using the supplied type converter.
`static short`
ExpressionUtils.`toShort(TypeConverter typeConverter, TypedValue typedValue)`
Attempt to convert a typed value to a short using the supplied type converter.

## Uses of TypeConverter in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return TypeConverter
Modifier and Type
Method
Description
`TypeConverter`
ExpressionState.`getTypeConverter()`

## Uses of TypeConverter in org.springframework.expression.spel.support

Classes in org.springframework.expression.spel.support that implement TypeConverter
Modifier and Type
Class
Description
`class`
`StandardTypeConverter`
Default implementation of the `TypeConverter` interface, delegating to a core Spring `ConversionService`.
Methods in org.springframework.expression.spel.support that return TypeConverter
Modifier and Type
Method
Description
`TypeConverter`
SimpleEvaluationContext.`getTypeConverter()`
The configured `TypeConverter`.
`TypeConverter`
StandardEvaluationContext.`getTypeConverter()`
Get the configured `TypeConverter` for value conversion.
Methods in org.springframework.expression.spel.support with parameters of type TypeConverter
Modifier and Type
Method
Description
`static boolean`
ReflectionHelper.`convertAllArguments(TypeConverter converter, Object[] arguments, Method method)`
Convert the supplied set of arguments into the parameter types of the supplied `Method`.
`static boolean`
ReflectionHelper.`convertAllMethodHandleArguments(TypeConverter converter, Object[] arguments, MethodHandle methodHandle, Integer varargsPosition)`
Convert the supplied set of arguments into the parameter types of the supplied `MethodHandle`, taking the varargs position into account.
`void`
StandardEvaluationContext.`setTypeConverter(TypeConverter typeConverter)`
Set the `TypeConverter` for value conversion.
`SimpleEvaluationContext.Builder`
SimpleEvaluationContext.Builder.`withTypeConverter(TypeConverter converter)`
Register a custom `TypeConverter`.